/*************************************************************************

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

*************************************************************************/

#ifndef __NS741_H__
#define __NS741_H__

void ns741_set_frequency(uint32_t f_khz);

void ns741_init(void);

void ns741_power(uint8_t on);

void ns741_rds_start(void);

void ns741_rds_stop(void);

void ns741_rds_set_progname(char *text);

void ns741_rds_set_time(char hour, char minute, char toffset, int32_t mjd);

void ns741_rds_set_radiotext(char *text);

void ns741_rds_set_radiotextplus(char *title, char *artist);

void ns741_stereo(void);

void ns741_mono(void);

void ns741_mute(void);

void ns741_unmute(void);

int32_t DateToMJD(int day, int month, int16_t year);

#endif /* __NS741_H__ */
